import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  lang: 'zh-CN',
  title: "Blocks Service Mesh",
  description: "Fast BaaS Open Source Project",
  
  srcDir: '../src',
  assetsDir: './static',
  outDir: '../dist',
  appearance: 'dark',

  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: 'Home', link: '/' },
      { text: '概述', link: '/overview' },
      { text: '基础组件', link: '/infra' },
      { text: '基础服务', link: '/base' },
      { text: '应用服务', link: '/app' },
      { text: '各领域服务库', link: '/libs' },
      {
        text: 'Dropdown Menu',
        items: [
          { text: '电商', link: '/item-1' },
          { text: '即时通讯', link: '/item-2' },
          { text: '物联网', link: '/item-3' }
        ]
      }
      { text: '开发指南', link: '/guide' },
      { text: '森林AI', link: 'https://www.senlinai.com', target: '_blank' }
    ],

    sidebar: [
      {
        text: '概述',
        items: [
          { text: 'Markdown Examples', link: '/markdown-examples' },
          { text: 'Runtime API Examples', link: '/api-examples' }
        ]
      }
    ],

    socialLinks: [
      { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ]
  }
})
